sexta-feira, 30 de agosto de 2013

Lançado Libreoffice 4.1.1.2

Versão estável do ramo 4.1 que é marcado pela maior compatibilidade com documentos Msoffice, com correções e melhoria de estabilidade. Recomendado para todos os tipos de usuários.












Vou mostrar aqui como instalar o libreoffice diretamente do site do desenvolvedor,o metodo é compatível com Debian ,Ubuntu e seus derivados.

Abra o terminal e de o comando.


cd Downloads && mkdir libreoffice && cd libreoffice

 Instalação PT_BR

De o comando abaixo para fazer o download.

 wget http://ftp.unicamp.br/pub/tdf/libreoffice/stable/4.1.1/deb/x86_64/LibreOffice_4.1.1_Linux_x86-64_deb.tar.gz && wget http://ftp.unicamp.br/pub/tdf/libreoffice/stable/4.1.1/deb/x86_64/LibreOffice_4.1.1_Linux_x86-64_deb_langpack_pt-BR.tar.gz && wget http://ftp.unicamp.br/pub/tdf/libreoffice/stable/4.1.1/deb/x86_64/LibreOffice_4.1.1_Linux_x86-64_deb_helppack_pt-BR.tar.gz

De o comando abaixo para instalar a base do libreoffice

tar xvf LibreOffice_4.1.1_Linux_x86-64_deb.tar.gz && sudo dpkg -i ~/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb

De o comando abaixo para instalar a tradução do libreoffice.

 tar xvf LibreOffice_4.1.1_Linux_x86-64_deb_langpack_pt-BR.tar.gz && sudo dpkg -i ~/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb_langpack_pt-BR/DEBS/*.deb

De o comando abaixo para instalar a ajuda do libreoffice.

tar xvf LibreOffice_4.1.1_Linux_x86-64_deb_helppack_pt-BR.tar.gz && sudo dpkg -i ~/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb_helppack_pt-BR/DEBS/*.deb


9 comentários:

  1. Antes tem que desinstalar a versão antiga?

    ResponderExcluir
  2. Depois de baixar e dando o comando tar xvf LibreOffice_4.1.1_Linux_x86-64_deb.tar.gz && sudo dpkg -i ~/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb

    Aparece o seguinte:

    root@robsonhcosta:/home/robson# tar xvf LibreOffice_4.1.1_Linux_x86-64_deb.tar.gz && sudo dpkg -i ~/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-en-us-writer_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libreoffice4.1-calc_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-kde-integration_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-en-us-res_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-core07_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libreoffice4.1-dict-es_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-onlineupdate_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-extension-javascript-script-provider_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-draw_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-extension-nlpsolver_4.1.1.2-2_amd64.deb

    gzip: stdin: unexpected end of file
    tar: Final-de-arquivo inesperado no arquivo-tar
    tar: Final-de-arquivo inesperado no arquivo-tar
    tar: Error is not recoverable: exiting now
    root@robsonhcosta:/home/robson# ^C
    root@robsonhcosta:/home/robson#

    Alguém sabe como devo proceder to com o Debian 7.1 wheezy, kernel 3.10-0.bpo.2-amd64 e tenho instalada o libreoffice 4.0.3.3.

    Grato.



    ResponderExcluir
  3. tar: Final-de-arquivo inesperado no arquivo-tar

    Arquivo corrompeu no down,limpe tudo e refaça.

    ResponderExcluir
  4. Agora deu o seguinte resultado:

    To postando so o final onde apareceu o erro....

    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-core03_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-core01_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libobasis4.1-en-us_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/libreoffice4.1-dict-fr_4.1.1.2-2_amd64.deb
    LibreOffice_4.1.1.2_Linux_x86-64_deb/install
    LibreOffice_4.1.1.2_Linux_x86-64_deb/readmes/
    LibreOffice_4.1.1.2_Linux_x86-64_deb/readmes/README_en-US
    dpkg: erro ao processar /root/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb (--install):
    impossível acessar arquivo: Arquivo ou diretório não encontrado
    Erros foram encontrados durante o processamento de:
    /root/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb
    root@robsonhcosta:/home/robson/Downloads/libreoffice#

    Alguém me ajude ai, ja desinstalei a versao anterio e agora to precisando instalar este.

    Grato,

    ResponderExcluir
  5. Galera para quem nunca tinha mexido no linux, confesso que to gostando, acabei de conseguir fazer o termino da instalação da seguinte forma, baixei tudo igual ao tutorial, dai quanto tinha que instalar, antes eu descompactava conforme o tutorial acima também e depois entrava no diretorio e dava o comando dpkg -i *.deb e pronto, dai consegui intalar.

    Grato a todos.

    Uma pergunta no synapitc do debian 7.1 não consta essa instalação...Isso é normal?

    ResponderExcluir
    Respostas
    1. Agora que vi teu erro.

      Cara no inicio e como vc é novato,nunca de su antes de pegar intimidade com o sistema.

      Teu erro foi ter dado um su antes de iniciar,ai tudo foi feito na pasta do root,errado e perigoso isso.

      Note que tem comandos com sudo e sem sudo,quando for para dar su,irei postar no inicio,se não postar não use o su,OK?!

      E o Debian não tem firefox e nem thunderbird

      Excluir
  6. Deu erro, sou iniciante, o que fazer?
    LibreOffice_4.1.1.2_Linux_x86-64_deb/install
    LibreOffice_4.1.1.2_Linux_x86-64_deb/readmes/
    LibreOffice_4.1.1.2_Linux_x86-64_deb/readmes/README_en-US
    dpkg: erro ao processar /root/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb (--install):
    impossível acessar arquivo: Arquivo ou diretório não encontrado
    Erros foram encontrados durante o processamento de:
    /root/Downloads/libreoffice/LibreOffice_4.1.1.2_Linux_x86-64_deb/DEBS/*.deb
    root@saulozitos:/home/saulo/Downloads#

    ResponderExcluir
    Respostas
    1. O mesmo erro do Robson, você está fazendo o processo como root (super usuário) isso não pode.
      Simplesmente abra o terminal e de os comandos como postados, não use sudo su ou su pois isso vai te logar no root e a instalação não é para ele e sim para o seu user

      Excluir